Subject: Re: bug#41440: 26.3; 'replace' argument in function 'shell-command-on-region' is assumed to be always t for rectangle selection

From: Juri Linkov <[email-masked]>
Date: Sun, 24 May 2020 01:53:33 +0300

>> I am gladly surprised to find out function
>> shell-command-on-region
>> is supposed to work on rectangle selection also (with 'region-noncontiguous-p' set to t), but then
>> disappointed to find out the feature does not work. It has two problems:
>> 
>> 1. As this email title says, argument 'replace' is assumed to be t no matter what.
>> 2. Even if I really want to replace the original selection with the shell-command output, it still does not work.
>> An error will be thrown in function "cua--insert-rectangle" due to some argument type mismatch.
>> 
>> This feature will be very useful to me (and hopefully others too) and I hope somebody can fix the above.
>
> Juri, could you please look into this?  In addition to the problem
> described in the bug report, the 'region-noncontiguous-p' argument is
> not mentioned in the doc string and not in the manual.  I'd like to
> fix that for Emacs 27, please.

This is not a bug, it was implemented so in Emacs 25.
Or you'd like to fix only documentation for Emacs 27?